{ mkDerivation, aeson, async, base, base16-bytestring, bytestring
, canonical-json, cborg, containers, deepseq, extra, fetchzip
, formatting, ghc-heap, ghc-prim, integer-gmp, lib, microlens, mtl
, stm, tagged, text, time, transformers
}:
mkDerivation {
  pname = "cardano-prelude";
  version = "0.2.0.0";
  src = fetchzip {
    url = "https://chap.intersectmbo.org/package/cardano-prelude-0.2.0.0.tar.gz";
    sha256 = "0lazr5w8w3ll3r4wppsd9k8ndbaj39iwpz5iqslrl0m0fbc207pw";
  };
  isLibrary = true;
  isExecutable = false;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [
    aeson async base base16-bytestring bytestring canonical-json cborg
    containers deepseq extra formatting ghc-heap ghc-prim integer-gmp
    microlens mtl stm tagged text time transformers
  ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = true;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  description = "A Prelude replacement for the Cardano project";
  license = lib.licenses.asl20;
  broken = false;
}