{ mkDerivation, PyF, array, base, bytestring, containers, deepseq
, either, extra, fetchzip, filepath, flat, ghc, hedgehog, lens, lib
, mtl, optparse-applicative, plutus-core, plutus-tx
, plutus-tx-test-util, prettyprinter, serialise, tagged, tasty
, tasty-golden, tasty-hedgehog, tasty-hunit, template-haskell, text
, these, uniplate
}:
mkDerivation {
  pname = "plutus-tx-plugin";
  version = "1.32.0.0";
  src = fetchzip {
    url = "https://chap.intersectmbo.org/package/plutus-tx-plugin-1.32.0.0.tar.gz";
    sha256 = "0mirvn7v99wmyjhmmiy1n2cy9rp6plvg3s7mvw9b5pd8rx0g5n7y";
  };
  isLibrary = true;
  isExecutable = true;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [
    array base bytestring containers either extra flat ghc lens mtl
    plutus-core plutus-tx prettyprinter PyF template-haskell text
    uniplate
  ];
  executableHaskellDepends = [
    base containers lens optparse-applicative prettyprinter PyF text
  ];
  testHaskellDepends = [
    base bytestring containers deepseq filepath flat hedgehog lens mtl
    plutus-core plutus-tx plutus-tx-test-util serialise tagged tasty
    tasty-golden tasty-hedgehog tasty-hunit template-haskell text these
  ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = true;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  description = "The Plutus Tx compiler and GHC plugin";
  license = lib.licenses.asl20;
  broken = false;
}
